<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=music&section=users&id=".$user['ID']."'>".LG('Музыка')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Новый альбом')."";
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $password = ADSL(POST('password'));
  
  IF (STR($password) > 0){
    
    $private = 4;
    $password2 = MD5($password);
    
  }ELSE{
    
    $private = INTVAL(POST('private'));
    $password2 = NULL;
  
  }
  
  IF (STR($password) > 12){
    
    ERROR('Пароль не может быть больше 12 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 100){
    
    ERROR('Имя не может быть больше 100 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `MUSIC_DIR` WHERE `USER_ID` = '".$user['ID']."' LIMIT 1") >= $music_settings['DIR_LIMIT']){
    
    ERROR('Вы исчерпали лимит на создание альбомов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `MUSIC_DIR` WHERE `USER_ID` = '".$user['ID']."' AND `NAME` = '".$name."' AND `ID_DIR` = '".$id_dir."' LIMIT 1") == 1){
    
    ERROR('Альбом с таким названием уже существует в этой директории', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=music&section=users&id='.$user['ID'].'&get=add_dir&dir='.$id_dir.'');
    
  }
  
  DB::GET_ADD("INSERT INTO `MUSIC_DIR` (`NAME`, `PRIVATE`, `USER_ID`, `ID_DIR`, `PASSWORD`, `PASSWORD_SHOW`) VALUES ('".$name."', '".$private."', '".$user['ID']."', '".$id_dir."', '".$password2."', '".$password."')");
  
  SUCCESS('Альбом успешно создан', 'session');
  REDIRECT('/modules/?path=music&section=users&id='.$user['ID'].'&dir='.$id_dir.'');
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=music&section=users&id=".$user['ID']."&get=add_dir&dir=".$id_dir."'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 100 символов')."):<br />";
HTML::INPUT('name', 'Имя');

ECHO "<b>".LG('Доступ')."</b>:<br />";
ECHO "<select name='private' class='form-control-select'>";

ECHO "<option value='0'> ".LG('Всем')."</option>";
ECHO "<option value='1'> ".LG('Мне и друзьям')."</option>";
ECHO "<option value='2'> ".LG('Только мне')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Пароль')."</b>:<br />";
HTML::INPUT('password', NULL);

HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Создать альбом');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=music&section=users&id=".$user['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=music&section=users&id=".$user['ID']."'>".LG('Музыка')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Новый альбом')."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>